# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-16 22:02
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    dependencies = [
        ('customer', '0028_auto_20171013_2320'),
    ]

    operations = [
        migrations.CreateModel(
            name='Phone',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone_number', phonenumber_field.modelfields.PhoneNumberField(max_length=128, verbose_name='Телефон')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='phone_numbers', to=settings.AUTH_USER_MODEL, verbose_name='Пользователь')),
            ],
            options={
                'verbose_name': 'номер телефона',
                'verbose_name_plural': 'номера телефонов',
            },
        ),
        migrations.AlterModelOptions(
            name='email',
            options={'verbose_name': 'электронная почта', 'verbose_name_plural': 'электронные почты'},
        ),
        migrations.RemoveField(
            model_name='email',
            name='body_html',
        ),
        migrations.RemoveField(
            model_name='email',
            name='body_text',
        ),
        migrations.RemoveField(
            model_name='email',
            name='date_sent',
        ),
        migrations.RemoveField(
            model_name='email',
            name='subject',
        ),
        migrations.AlterField(
            model_name='email',
            name='email',
            field=models.EmailField(default='', max_length=254, verbose_name='Электронная почта'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='email',
            name='user',
            field=models.ForeignKey(default='', on_delete=django.db.models.deletion.CASCADE, related_name='emails', to=settings.AUTH_USER_MODEL, verbose_name='Пользователь'),
            preserve_default=False,
        ),
    ]
